/*
 * ST7735.h
 *
 * Created: 07/07/2014 16:44:39
 *  Author: Ricardo
 */ 


#ifndef ST7735_H_
#define ST7735_H_

// Color definitions
#define	COLOR_BLACK   0x0000
#define	COLOR_BLUE    0x001F
#define	COLOR_RED     0xF800
#define	COLOR_GREEN   0x07E0
#define COLOR_CYAN    0x07FF
#define COLOR_MAGENTA 0xF81F
#define COLOR_YELLOW  0xFFE0
#define COLOR_WHITE   0xFFFF

#define RS_LOW PORTB &= ~(1<<PB1);
#define RS_HIGH PORTB |= (1<<PB1); // RS on PB1

void ST7735_write_command(uint8_t command);
void ST7735_write_data(uint8_t data);
void ST7735_display_init();
void ST7735_init();
void ST7735_set_addr_window(uint8_t x0, uint8_t y0, uint8_t x1, uint8_t y1);
void ST7735_fill(uint16_t color);
void ST7735_draw_pixel(uint16_t x, uint16_t y, uint16_t color);


#endif /* ST7735_H_ */