/*
 * Scope328.c
 *
 * Created: 07/07/2014 16:05:19
 *  Author: Ricardo
 */ 


#define F_CPU 20000000UL
#include <avr/io.h>
#include <util/delay.h>
#include "ST7735.h"
#include "ADC.h"

uint8_t amostra[160], amostraAntiga[160];

int main(void)
{

	ST7735_init();
	ADC_init();
	
	while(1)
	{
		for (int i = 0; i < 160; i++)
			amostraAntiga[i] = amostra[i];

		for (int i = 0; i < 160; i++)
			amostra[i] = ADC_read(0)/2;
			
		for (int i = 0; i < 160; i++)
		{
			ST7735_draw_pixel(amostraAntiga[i], i, COLOR_BLACK);
			ST7735_draw_pixel(amostra[i], i, COLOR_GREEN);
		}
	}
}